package com.yihu.hos.system.service.intf;

import com.yihu.hos.web.framework.model.Result;
import com.yihu.hos.system.model.SystemUser;
import com.yihu.hos.system.model.SystemUserRole;

import java.util.List;
import java.util.Map;

/**
 * Created by chenweida on 2016/1/19.
 */
public interface IUserManager {
    Result getUserList(Map<String, Object> params) throws Exception;

    SystemUser getUserByLoginCode(String loginCode) throws Exception;

    SystemUser getUserById(String roleId) throws Exception;

    Result addUser(SystemUser obj) throws Exception;

    Result updateUser(SystemUser obj) throws Exception;

    Result activityUser(String useid, String flag) throws Exception;

    Result deleteUser(String userid) throws Exception;

    Result resetPassword(String userid) throws Exception;

    Result changePassword(String userid, String newps)throws Exception;

    Result userRoleDistribute(String userId,String roleId) throws Exception;

    List<SystemUserRole> getUserRoleByUserId(String userId) throws Exception;
}
